# Amira Script
remove -all
remove temperature.icol physics.icol glow.col volrenRed.col volrenGreen.col GeometrySurface GeometrySurface2 GeometrySurface3 phaeo28_obl_sub.img volrenGreen.col2 SurfaceView SurfaceView2 SurfaceView3 OrthoSlice thylakoid.iv IvToSurface GeometrySurface4 SurfaceView4 SmoothSurface GeometrySurface.smooth SmoothSurface2 GeometrySurface2.smooth SmoothSurface3 GeometrySurface3.smooth OrthoSlice2 OrthoSlice3 bulkthylakoids.iv IvToSurface2 GeometrySurface5 SurfaceView5 SmoothSurface4 GeometrySurface5.smooth

# Create viewers
viewer 0 show
viewer 0 setSize 947 799
viewer 0 setBackgroundMode 1
viewer 0 setBackgroundColor 0.7 0.7 0.8
viewer 0 setBackgroundColor2 0 0.1 0.3
viewer 0 decoration 1
viewer 0 setTransparencyType 6
viewer 0 setAutoRedraw 0

mainWindow show

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/temperature.icol ] setLabel temperature.icol
temperature.icol setIconPosition 20 320
temperature.icol fire
{temperature.icol} setMinMax 38 44
{temperature.icol} flags setValue 0
{temperature.icol} shift setMinMax -1 1
{temperature.icol} shift setValue 0
{temperature.icol} scale setMinMax 0 1
{temperature.icol} scale setValue 1
temperature.icol fire
temperature.icol setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/physics.icol ] setLabel physics.icol
physics.icol setIconPosition 20 351
physics.icol fire
{physics.icol} setMinMax 0 1
{physics.icol} flags setValue 0
{physics.icol} shift setMinMax -1 1
{physics.icol} shift setValue 0
{physics.icol} scale setMinMax 0 1
{physics.icol} scale setValue 1
physics.icol fire
physics.icol setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/glow.col ] setLabel glow.col
glow.col setIconPosition 20 382
glow.col fire
{glow.col} setMinMax 0 255
{glow.col} flags setValue 0
{glow.col} shift setMinMax -1 1
{glow.col} shift setValue 0
{glow.col} scale setMinMax 0 1
{glow.col} scale setValue 1
glow.col fire
glow.col setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/volrenRed.col ] setLabel volrenRed.col
volrenRed.col setIconPosition 20 413
volrenRed.col fire
{volrenRed.col} setMinMax 10 180
{volrenRed.col} flags setValue 0
{volrenRed.col} shift setMinMax -1 1
{volrenRed.col} shift setValue 0
{volrenRed.col} scale setMinMax 0 1
{volrenRed.col} scale setValue 1
volrenRed.col fire
volrenRed.col setViewerMask 65535

set hideNewModules 0
[ load ${AMIRA_ROOT}/data/colormaps/volrenGreen.col ] setLabel volrenGreen.col
volrenGreen.col setIconPosition 20 444
volrenGreen.col fire
{volrenGreen.col} setMinMax 10 200
{volrenGreen.col} flags setValue 0
{volrenGreen.col} shift setMinMax -1 1
{volrenGreen.col} shift setValue 0
{volrenGreen.col} scale setMinMax 0 1
{volrenGreen.col} scale setValue 1
volrenGreen.col fire
volrenGreen.col setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface ] setLabel GeometrySurface
GeometrySurface setIconPosition 20 10
GeometrySurface fire
GeometrySurface fire
GeometrySurface setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface2 ] setLabel GeometrySurface2
GeometrySurface2 setIconPosition 20 41
GeometrySurface2 fire
GeometrySurface2 fire
GeometrySurface2 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface3 ] setLabel GeometrySurface3
GeometrySurface3 setIconPosition 20 72
GeometrySurface3 fire
GeometrySurface3 fire
GeometrySurface3 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/phaeo28_obl_sub.img ] setLabel phaeo28_obl_sub.img
phaeo28_obl_sub.img setIconPosition 20 103
phaeo28_obl_sub.img fire
phaeo28_obl_sub.img fire
phaeo28_obl_sub.img setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/volrenGreen.col ] setLabel volrenGreen.col2
volrenGreen.col2 setIconPosition 19 134
volrenGreen.col2 fire
{volrenGreen.col2} setMinMax 0 255
{volrenGreen.col2} flags setValue 0
{volrenGreen.col2} shift setMinMax -1 1
{volrenGreen.col2} shift setValue 0
{volrenGreen.col2} scale setMinMax 0 1
{volrenGreen.col2} scale setValue 1
volrenGreen.col2 fire
volrenGreen.col2 setViewerMask 65535

set hideNewModules 0
create HxOrthoSlice {OrthoSlice}
OrthoSlice setIconPosition 186 102
OrthoSlice data connect phaeo28_obl_sub.img
{OrthoSlice} fire
{OrthoSlice} sliceOrientation setValue 0
{OrthoSlice} fire
{OrthoSlice} options setValue 0 0
{OrthoSlice} options setValue 1 0
{OrthoSlice} options setValue 2 0
{OrthoSlice} mappingType setValue 0
{OrthoSlice} linearRange setMinMax 0 -1e+24 1e+24
{OrthoSlice} linearRange setValue 0 0
{OrthoSlice} linearRange setMinMax 1 -1e+24 1e+24
{OrthoSlice} linearRange setValue 1 255
{OrthoSlice} contrastLimit setMinMax 0 -1e+24 1e+24
{OrthoSlice} contrastLimit setValue 0 7
{OrthoSlice} colormap setDefaultColor 1 0.8 0.5
{OrthoSlice} colormap setDefaultAlpha 1.000000
OrthoSlice colormap connect volrenGreen.col2
{OrthoSlice} sliceNumber setMinMax 0 40
{OrthoSlice} sliceNumber setValue 40
{OrthoSlice} transparency setValue 0
OrthoSlice setFrameWidth 0
OrthoSlice setFrameColor 1 0.5 0
OrthoSlice frame 1
OrthoSlice fire

OrthoSlice fire
OrthoSlice setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/data/colormaps/thylakoid.iv ] setLabel thylakoid.iv
thylakoid.iv setIconPosition 20 165
thylakoid.iv fire
thylakoid.iv fire
thylakoid.iv setViewerMask 65535

set hideNewModules 0
create HxGeometryToSurface {IvToSurface}
IvToSurface setIconPosition 160 165
IvToSurface data connect thylakoid.iv
IvToSurface fire
{IvToSurface} tolerance setMinMax 0 0 1
{IvToSurface} tolerance setValue 0 1e-05
{IvToSurface} options setValue 0 1
{IvToSurface} doIt setIndex -1
{IvToSurface} doIt untouch
IvToSurface fire
IvToSurface setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface4 ] setLabel GeometrySurface4
GeometrySurface4 setIconPosition 20 196
GeometrySurface4 fire
GeometrySurface4 fire
GeometrySurface4 setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView4}
SurfaceView4 setIconPosition 172 196
SurfaceView4 data connect GeometrySurface4
SurfaceView4 colorField connect phaeo28_obl_sub.img
{SurfaceView4} colormap setDefaultColor 1 0.1 0.1
{SurfaceView4} colormap setDefaultAlpha 0.500000
SurfaceView4 colormap connect glow.col
SurfaceView4 fire
{SurfaceView4} drawStyle setValue 1
{SurfaceView4} drawStyle setTexture 0
{SurfaceView4} drawStyle setNormalBinding 0
{SurfaceView4} buffer setIndex -1
{SurfaceView4} buffer untouch
{SurfaceView4} materials setIndex 0 1
{SurfaceView4} materials setIndex 1 0
{SurfaceView4} colorMode setValue 0
{SurfaceView4} baseTrans setMinMax 0 1
{SurfaceView4} baseTrans setValue 0.8
SurfaceView4 fire
SurfaceView4 hideBox 1
{SurfaceView4} selectTriangles zab HIJMONMOMBAJAAEAAIAELBONMMPOKLPCKOAFFPCCCEDAPPOJAGAALICBEJGNDPAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAMAFEPNBOCPECKDMB
SurfaceView4 fire
SurfaceView4 setViewerMask 65535

set hideNewModules 0
create HxSurfaceSmooth {SmoothSurface}
SmoothSurface setIconPosition 160 134
SmoothSurface data connect GeometrySurface
SmoothSurface fire
{SmoothSurface} parameters setMinMax 0 -1e+24 1e+24
{SmoothSurface} parameters setValue 0 30
{SmoothSurface} parameters setMinMax 1 -1e+24 1e+24
{SmoothSurface} parameters setValue 1 0.6
{SmoothSurface} action setIndex -1
{SmoothSurface} action untouch
SmoothSurface fire
SmoothSurface setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface.smooth ] setLabel GeometrySurface.smooth
GeometrySurface.smooth setIconPosition 20 227
GeometrySurface.smooth fire
GeometrySurface.smooth fire
GeometrySurface.smooth setViewerMask 65535

set hideNewModules 0
create HxSurfaceSmooth {SmoothSurface2}
SmoothSurface2 setIconPosition 160 258
SmoothSurface2 data connect GeometrySurface2
SmoothSurface2 fire
{SmoothSurface2} parameters setMinMax 0 -1e+24 1e+24
{SmoothSurface2} parameters setValue 0 30
{SmoothSurface2} parameters setMinMax 1 -1e+24 1e+24
{SmoothSurface2} parameters setValue 1 0.6
{SmoothSurface2} action setIndex -1
{SmoothSurface2} action untouch
SmoothSurface2 fire
SmoothSurface2 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface2.smooth ] setLabel GeometrySurface2.smooth
GeometrySurface2.smooth setIconPosition 20 258
GeometrySurface2.smooth fire
GeometrySurface2.smooth fire
GeometrySurface2.smooth setViewerMask 65535

set hideNewModules 0
create HxSurfaceSmooth {SmoothSurface3}
SmoothSurface3 setIconPosition 160 289
SmoothSurface3 data connect GeometrySurface3
SmoothSurface3 fire
{SmoothSurface3} parameters setMinMax 0 -1e+24 1e+24
{SmoothSurface3} parameters setValue 0 30
{SmoothSurface3} parameters setMinMax 1 -1e+24 1e+24
{SmoothSurface3} parameters setValue 1 0.6
{SmoothSurface3} action setIndex -1
{SmoothSurface3} action untouch
SmoothSurface3 fire
SmoothSurface3 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface3.smooth ] setLabel GeometrySurface3.smooth
GeometrySurface3.smooth setIconPosition 20 289
GeometrySurface3.smooth fire
GeometrySurface3.smooth fire
GeometrySurface3.smooth setViewerMask 65535

set hideNewModules 0
create HxOrthoSlice {OrthoSlice2}
OrthoSlice2 setIconPosition 184 320
OrthoSlice2 data connect phaeo28_obl_sub.img
{OrthoSlice2} fire
{OrthoSlice2} sliceOrientation setValue 1
{OrthoSlice2} fire
{OrthoSlice2} options setValue 0 0
{OrthoSlice2} options setValue 1 0
{OrthoSlice2} options setValue 2 0
{OrthoSlice2} mappingType setValue 0
{OrthoSlice2} linearRange setMinMax 0 -1e+24 1e+24
{OrthoSlice2} linearRange setValue 0 0
{OrthoSlice2} linearRange setMinMax 1 -1e+24 1e+24
{OrthoSlice2} linearRange setValue 1 255
{OrthoSlice2} contrastLimit setMinMax 0 -1e+24 1e+24
{OrthoSlice2} contrastLimit setValue 0 7
{OrthoSlice2} colormap setDefaultColor 1 0.8 0.5
{OrthoSlice2} colormap setDefaultAlpha 1.000000
{OrthoSlice2} sliceNumber setMinMax 0 656
{OrthoSlice2} sliceNumber setValue 265.524
{OrthoSlice2} transparency setValue 0
OrthoSlice2 setFrameWidth 0
OrthoSlice2 setFrameColor 1 0.5 0
OrthoSlice2 frame 1
OrthoSlice2 fire

OrthoSlice2 fire
OrthoSlice2 setViewerMask 65535

set hideNewModules 0
create HxOrthoSlice {OrthoSlice3}
OrthoSlice3 setIconPosition 184 351
OrthoSlice3 data connect phaeo28_obl_sub.img
{OrthoSlice3} fire
{OrthoSlice3} sliceOrientation setValue 2
{OrthoSlice3} fire
{OrthoSlice3} options setValue 0 0
{OrthoSlice3} options setValue 1 0
{OrthoSlice3} options setValue 2 0
{OrthoSlice3} mappingType setValue 0
{OrthoSlice3} linearRange setMinMax 0 -1e+24 1e+24
{OrthoSlice3} linearRange setValue 0 0
{OrthoSlice3} linearRange setMinMax 1 -1e+24 1e+24
{OrthoSlice3} linearRange setValue 1 255
{OrthoSlice3} contrastLimit setMinMax 0 -1e+24 1e+24
{OrthoSlice3} contrastLimit setValue 0 7
{OrthoSlice3} colormap setDefaultColor 1 0.8 0.5
{OrthoSlice3} colormap setDefaultAlpha 1.000000
{OrthoSlice3} sliceNumber setMinMax 0 693
{OrthoSlice3} sliceNumber setValue 280.5
{OrthoSlice3} transparency setValue 0
OrthoSlice3 setFrameWidth 0
OrthoSlice3 setFrameColor 1 0.5 0
OrthoSlice3 frame 1
OrthoSlice3 fire

OrthoSlice3 fire
OrthoSlice3 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/bulkthylakoids.iv ] setLabel bulkthylakoids.iv
bulkthylakoids.iv setIconPosition 21 475
bulkthylakoids.iv fire
bulkthylakoids.iv fire
bulkthylakoids.iv setViewerMask 65535

set hideNewModules 0
create HxGeometryToSurface {IvToSurface2}
IvToSurface2 setIconPosition 160 475
IvToSurface2 data connect bulkthylakoids.iv
IvToSurface2 fire
{IvToSurface2} tolerance setMinMax 0 0 1
{IvToSurface2} tolerance setValue 0 1e-05
{IvToSurface2} options setValue 0 1
{IvToSurface2} doIt setIndex -1
{IvToSurface2} doIt untouch
IvToSurface2 fire
IvToSurface2 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface5 ] setLabel GeometrySurface5
GeometrySurface5 setIconPosition 20 506
GeometrySurface5 master connect IvToSurface2
GeometrySurface5 fire
GeometrySurface5 fire
GeometrySurface5 setViewerMask 65535

set hideNewModules 0
create HxSurfaceSmooth {SmoothSurface4}
SmoothSurface4 setIconPosition 160 506
SmoothSurface4 data connect GeometrySurface5
SmoothSurface4 fire
{SmoothSurface4} parameters setMinMax 0 -1e+24 1e+24
{SmoothSurface4} parameters setValue 0 20
{SmoothSurface4} parameters setMinMax 1 -1e+24 1e+24
{SmoothSurface4} parameters setValue 1 0.6
{SmoothSurface4} action setIndex -1
{SmoothSurface4} action untouch
SmoothSurface4 fire
SmoothSurface4 setViewerMask 65535

set hideNewModules 0
[ load ${SCRIPTDIR}/amira_network_file-files/GeometrySurface5.smooth ] setLabel GeometrySurface5.smooth
GeometrySurface5.smooth setIconPosition 20 537
GeometrySurface5.smooth fire
GeometrySurface5.smooth fire
GeometrySurface5.smooth setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView}
SurfaceView setIconPosition 179 10
SurfaceView data connect GeometrySurface.smooth
{SurfaceView} colormap setDefaultColor 1 0.1 0.1
{SurfaceView} colormap setDefaultAlpha 0.500000
SurfaceView fire
{SurfaceView} drawStyle setValue 1
{SurfaceView} drawStyle setTexture 0
{SurfaceView} drawStyle setNormalBinding 0
{SurfaceView} buffer setIndex -1
{SurfaceView} buffer untouch
{SurfaceView} materials setIndex 0 1
{SurfaceView} materials setIndex 1 0
{SurfaceView} colorMode setValue 0
{SurfaceView} baseTrans setMinMax 0 1
{SurfaceView} baseTrans setValue 0.8
SurfaceView fire
SurfaceView hideBox 1
{SurfaceView} selectTriangles zab HIJMPLPPHPBEFABLDADADAPAAPLEBLIGBLAAIGOJHPAAHJACKCIJ
SurfaceView fire
SurfaceView setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView2}
SurfaceView2 setIconPosition 170 41
SurfaceView2 data connect GeometrySurface2.smooth
SurfaceView2 colorField connect phaeo28_obl_sub.img
{SurfaceView2} colormap setDefaultColor 1 0.1 0.1
{SurfaceView2} colormap setDefaultAlpha 0.500000
SurfaceView2 colormap connect temperature.icol
SurfaceView2 fire
{SurfaceView2} drawStyle setValue 1
{SurfaceView2} drawStyle setTexture 0
{SurfaceView2} drawStyle setNormalBinding 0
{SurfaceView2} buffer setIndex -1
{SurfaceView2} buffer untouch
{SurfaceView2} materials setIndex 0 1
{SurfaceView2} materials setIndex 1 0
{SurfaceView2} colorMode setValue 0
{SurfaceView2} baseTrans setMinMax 0 1
{SurfaceView2} baseTrans setValue 0.8
SurfaceView2 fire
SurfaceView2 hideBox 1
{SurfaceView2} selectTriangles zab HIJMPLPPHPBEIMICMBAHNIAHNKABKDGABEOAAAAMPGPPPPADAAFKLPDAFN
SurfaceView2 fire
SurfaceView2 setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView3}
SurfaceView3 setIconPosition 172 72
SurfaceView3 data connect GeometrySurface3.smooth
SurfaceView3 colorField connect phaeo28_obl_sub.img
{SurfaceView3} colormap setDefaultColor 1 0.1 0.1
{SurfaceView3} colormap setDefaultAlpha 0.500000
SurfaceView3 colormap connect temperature.icol
SurfaceView3 fire
{SurfaceView3} drawStyle setValue 1
{SurfaceView3} drawStyle setTexture 0
{SurfaceView3} drawStyle setNormalBinding 0
{SurfaceView3} buffer setIndex -1
{SurfaceView3} buffer untouch
{SurfaceView3} materials setIndex 0 1
{SurfaceView3} materials setIndex 1 0
{SurfaceView3} colorMode setValue 0
{SurfaceView3} baseTrans setMinMax 0 1
{SurfaceView3} baseTrans setValue 0.8
SurfaceView3 fire
SurfaceView3 hideBox 1
{SurfaceView3} selectTriangles zab HIJMPLPPHPBEJAALBIIAGAKANNDAFEABDAOIBIABGABMHBKM
SurfaceView3 fire
SurfaceView3 setViewerMask 65535

set hideNewModules 0
create HxDisplaySurface {SurfaceView5}
SurfaceView5 setIconPosition 318 506
SurfaceView5 data connect GeometrySurface5.smooth
SurfaceView5 colorField connect phaeo28_obl_sub.img
{SurfaceView5} colormap setDefaultColor 1 0.1 0.1
{SurfaceView5} colormap setDefaultAlpha 0.500000
SurfaceView5 colormap connect glow.col
SurfaceView5 fire
{SurfaceView5} drawStyle setValue 1
{SurfaceView5} drawStyle setTexture 0
{SurfaceView5} drawStyle setNormalBinding 0
{SurfaceView5} buffer setIndex -1
{SurfaceView5} buffer untouch
{SurfaceView5} materials setIndex 0 1
{SurfaceView5} materials setIndex 1 0
{SurfaceView5} colorMode setValue 0
{SurfaceView5} baseTrans setMinMax 0 1
{SurfaceView5} baseTrans setValue 0.8
SurfaceView5 fire
SurfaceView5 hideBox 1
{SurfaceView5} selectTriangles zab HIJMPLPPJPDGIAIBIBJJDGOGACDBAAFDNHKPFE
SurfaceView5 fire
SurfaceView5 setViewerMask 65535
SurfaceView5 select

set hideNewModules 0


viewer 0 setCameraPosition 316.375 347.008 -980.228
viewer 0 setCameraOrientation -0.951856 0.306509 0.00470432 3.10308
viewer 0 setCameraFocalDistance 1003.52
viewer 0 setAutoRedraw 1
viewer 0 redraw
